This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 571684 - syncing rhel-5 base channel deletes erratas in channel with another arch
syncing rhel-5 base channel deletes erratas in channel with another arch
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-03-09 03:28 EST by Petr Sklenar
Modified: 2014-10-06 05:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-06 05:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-03-09 03:28:23 EST
Description of problem:
syncing rhel-5 base channel deletes erratas in another-arch-channel

Version-Release number of selected component (if applicable):
spacewalk-backend-0.5.28-45

How reproducible:
always, tried one rhel4 and one rhel5 with updated sat530

Steps to Reproduce:
1. you have no channel 

2. satellite-sync -c rhel-i386-server-5 --no-rpms --no-packages --no-kickstarts; 
....
08:41:31 Importing channel errata 
08:41:35 Importing *relevant* errata: rhel-i386-server-5 (1370) ________________________________________ Downloading:######################################## - complete ..... 

3. see that you have +-1300 erratas in rhel-i386-server-5 

4. satellite-sync -c rhel-x86_64-server-5 --no-rpms --no-packages --no-kickstarts; 
08:42:30 Importing channel errata 
08:42:33 Importing *relevant* errata: rhel-x86_64-server-5 (1370) ________________________________________ Downloading:######################################## - complete 

!!!!!there are 1300 erratas in rhel-x86_64-server-5 but only two in rhel-i386-server-5 

5. satellite-sync -c rhel-i386-server-5 --no-rpms --no-packages --no-kickstarts; 
.... 
08:43:23 Importing channel errata 08:43:26 Importing *relevant* errata: rhel-i386-server-5 (1370) ________________________________________ Downloading:######################################## - complete 

!!!!!there are 1300 erratas in rhel-i386-server-5 but only two in rhel-x86_64-server-5 

---------- I am not able to have +- 1300 erratas in both rhel-i386-server-5 and rhel-x86_64-server-5 channels. Each errata syncing deletes erratas from another channel.


Actual results:
syncing rhel-i386-server-5 channel deletes erratas in rhel-x86_64-server-5 channel

Expected results:
no deletion of erratas

Additional info:
https://errata.devel.redhat.com/errata/show/9446#c84
https://errata.devel.redhat.com/errata/show/9446#c85
Comment 1 Petr Sklenar 2010-03-10 04:09:22 EST
I tried syncing the whole channel,  without any --no*. Results were same, erratas were deleted.

Note You need to log in before you can comment on or make changes to this bug.